#!/usr/bin/env sh



#--------[ Detect Motherboard Chipset ]--------#
if [ -d "/sys/devices/virtual/dmi/id" ]; then
    export ENV_MAKE=$(cat /sys/devices/virtual/dmi/id/sys_vendor)
    export ENV_MODEL=$(cat /sys/devices/virtual/dmi/id/product_family)
elif [ -f "/proc/device-tree/model" ]; then
    if [ "$(tr -d '\0' < /proc/device-tree/model | grep -a PineTab)" ]; then
        export ENV_MAKE="Pine64"
        export ENV_MODEL="PineTab"
    elif [ "$(tr -d '\0' < /proc/device-tree/model | grep -a PinePhone)" ]; then
        export ENV_MAKE="Pine64"
        export ENV_MODEL="PinePhonePro"
    elif [ "$(tr -d '\0' < /proc/device-tree/model | grep -a 'Zero W')" ]; then
        export ENV_MAKE="RaspberryPi"
        export ENV_MODEL="RPi-Zero-W"
    elif [ "$(tr -d '\0' < /proc/device-tree/model | grep -a 'Pi 2')" ]; then
        export ENV_MAKE="RaspberryPi"
        export ENV_MODEL="RPi-2"
    elif [ "$(tr -d '\0' < /proc/device-tree/model | grep -a 'Pi 4')" ]; then
        export ENV_MAKE="RaspberryPi"
        export ENV_MODEL="RPi-4"
    else
        export ENV_MAKE="unknown"
        export ENV_MODEL="unknown"
    fi
else
    export ENV_MAKE="unknown"
    export ENV_MODEL="unknown"
fi
