#!/usr/bin/env sh



#--------[ Determin Base Distro Package Manager ]--------#
if [ $(command -v apt) ]; then FAKE_MANAGER=apt; fi
if [ $(command -v apk) ]; then FAKE_MANAGER=apk; fi
if [ $(command -v dnf) ]; then FAKE_MANAGER=dnf; fi
if [ $(command -v pacman) ]; then FAKE_MANAGER=pacman; fi
if [ $(command -v paru) ] && [ "$(whoami)" != "root" ]; then FAKE_MANAGER=paru; fi



#--------[ FAKE//OS Package/System Manager ]--------#
fake () {



    #--------[ Package Management ]--------#
    if   [ "$1" == "update" ];  then _fake_manager_package_update  $@;
    elif [ "$1" == "install" ]; then _fake_manager_package_install $@;
    elif [ "$1" == "remove" ];  then _fake_manager_package_remove  $@;
    elif [ "$1" == "search" ];  then _fake_manager_package_search  $@;



    #--------[ Init/System Management ]--------#
    elif [ "$1" == "status" ];    then _fake_manager_system_status  $@;
    elif [ "$1" == "start" ];     then _fake_manager_system_start   $@;
    elif [ "$1" == "stop" ];      then _fake_manager_system_stop    $@;
    elif [ "$1" == "restart" ];   then _fake_manager_system_restart $@;
    elif [ "$1" == "enable" ];    then _fake_manager_system_enable  $@;
    elif [ "$1" == "disable" ];   then _fake_manager_system_disable $@;

    #--------[ Other System Functions ]--------#
    elif [ "$1" == "flush" ];     then _fake_utils_linux_flushcache $@;
    elif [ "$1" == "snapshots" ]; then _fake_utils_linux_snapshots  $@;




    #--------[ FAKE//OS Commandes ]--------#
    elif [ "$1" == "upgrade" ]; then _fake_manager_upgrade $@;
    elif [ "$1" == "help" ];    then _fake_manager_help    $@;



    #--------[ Error Catch-All ]--------#
    else
        _fake_layout_message "$1" "Unrecognised command..."
    fi



    #--------[ Debug Pause ]--------#
    if [ "$FAKE_MODE_SLOW" ]; then sleep 3; fi
}
