#!/usr/bin/env sh



#--------[ FAKE//OS Manager: Search Packages ]--------#
_fake_manager_package_search () {



    #--------[ Basic Error Handeling ]--------#
    if [ ! "$2" ]; then
        _fake_layout_message "Error" "Must specify packages..."



    #--------[ Parse Package Arguments ]--------#
    else
        FAKE_PACKAGES=$(echo "$@" | sed -e 's/^search\ //g')



        #--------[ Compile Command ]--------#
        FAKE_CMD=""
        case $FAKE_MANAGER in
            apt) FAKE_CMD="apt-cache search $FAKE_PACKAGES" ;;
            apk) FAKE_CMD="sudo apk search $FAKE_PACKAGES" ;;
            dnf) FAKE_CMD="sudo dnf search $FAKE_PACKAGES" ;;
            pacman) FAKE_CMD="pacman -Ss $FAKE_PACKAGES" ;;
            paru) FAKE_CMD="paru -Ss $FAKE_PACKAGES" ;;
        esac



        #--------[ Print Info ]--------#
        _fake_layout_message "Search" "$FAKE_CMD" "search" "$FAKE_PACKAGES"



        #--------[ Run Command ]--------#
        $FAKE_CMD



    fi
}
