#!/usr/bin/env sh



#--------[ FAKE//OS Manager: Update Software ]--------#
_fake_manager_package_update () {



    #--------[ Configure Packages And Command ]--------#
    FAKE_PACKAGES=""
    FAKE_CMD=""
    if [ "$(whoami)" != "root" ]; then echo && echo -n -e "${FCOLBOLD}FAKE//OS${FCOL0} Update "; fi
    case $FAKE_MANAGER in
        apt)
            sudo apt -y update
            FAKE_CMD="sudo apt -y upgrade"
            FAKE_PACKAGES="$(apt list --upgradable 2>/dev/null | grep -v 'Listing' | sed -e 's/\/.*$//g' | tr '\n' ' ')"
            ;;
        apk)
            sudo apk update
            FAKE_CMD="sudo apk upgrade"
            FAKE_PACKAGES="$(apk list --upgradable | awk '{print $1}' | tr '\n' ' ')"
            ;;
        dnf)
            sudo dnf -y update
            FAKE_CMD="sudo yum -y upgrade"
            ;;
        pacman)
            sudo pacman -Syyy
            FAKE_CMD="sudo pacman --noconfirm -Su"
            FAKE_PACKAGES="$(pacman -Quq | tr '\n' ' ')"
            ;;
        paru)
            paru -Syyy
            FAKE_CMD="paru --noconfirm -Su"
            FAKE_PACKAGES="$(paru -Quq | tr '\n' ' ')"
            ;;
    esac



    #--------[ Run Command ]--------#
    if [ "$FAKE_PACKAGES" ]; then
        _fake_layout_message "Update" "$FAKE_CMD" "update" "$FAKE_PACKAGES"
        _fake_manager_package_automation "$FAKE_CMD"
    else
        _fake_layout_message "Update" "$FAKE_CMD" "update" "No package updates available..."
    fi



    #--------[ Update Other Non-Managed Software ]--------#
    if [ "$(command -v pihole)" ]; then
        pihole -up
    fi



    echo ""
}
