#!/usr/bin/env sh



# $1 - New FAKE//OS config file
# $2 - System config file location



#--------[ Pull Remote Config Files ]--------#
_fake_utils_config_pull () {



    #--------[ Git Clone ]--------#
    if [ "$(echo $1 | grep 'git')" ]; then
        rm -rf $2
        mkdir -p $2
        git clone --depth 1 $1 $2
        _fake_layout_message "Git Pull" "$1 -> $2" "output" "$(ls $2 | tr '\n' ' ')"



    #--------[ Curl Tar.Gz Pull ]--------#
    elif [ "$(echo $1 | grep 'tar.gz')" ]; then
        if [ ! "$(curl -Is $1 | grep '200 OK')" ]; then
            _fake_layout_message "Error" "Remote file missing..." "missing" "$1"
        else
            mkdir -p $2
            curl $1 | tar xzf - -C $2/
            _fake_layout_message "Curl Pull" "$1 -> $2" "output"  "$(ls $2 | tr '\n' ' ')"
        fi
    fi



    #--------[ Debugging ]--------#
    if [ "$FAKE_MODE_SLOW" ]; then sleep 3; fi
}
