#!/usr/bin/env sh



# $1 - Init System Daemon



#--------[ Cache Clear ]--------#
_fake_utils_linux_status () {



    #--------[ Get SystemD Data ]--------#
    if [ "$ENV_INIT" == "systemd" ]; then
        TMP_ENABLED="$(systemctl status $1 | grep -e 'Loaded' | grep -e 'enabled;')"
        TMP_STARTED="$(systemctl status $1 | grep -e 'Active' | grep -e 'running')"



    #--------[ Get OpenRC Data ]--------#
    elif [ "$ENV_INIT" == "openrc" ]; then
        TMP_ENABLED="$(rc-update -a | grep gdm | grep -e 'boot' -e 'default' -e 'sysinit')"
        TMP_STARTED="$(rc-service $1 status | grep started)"
    fi



    #--------[ Output Data ]--------#
    if [ "$TMP_ENABLED" ]   && [ "$TMP_STARTED" ];   then echo "enabled started";  fi
    if [ ! "$TMP_ENABLED" ] && [ "$TMP_STARTED" ];   then echo "disabled started"; fi
    if [ "$TMP_ENABLED" ]   && [ ! "$TMP_STARTED" ]; then echo "enabled stopped";  fi
    if [ ! "$TMP_ENABLED" ] && [ ! "$TMP_STARTED" ]; then echo "disabled stopped"; fi
}
